Rapid7 Vulnerability & Exploit Database

RHSA-2001:074: Updated ispell packages available for Red Hat Linux 5.2 and 6.2

Back to Search

RHSA-2001:074: Updated ispell packages available for Red Hat Linux 5.2 and 6.2

Severity
1
CVSS
(AV:L/AC:H/Au:N/C:N/I:P/A:N)
Published
06/21/2001
Created
07/25/2018
Added
10/28/2005
Modified
07/04/2017

Description

The ispell program uses mktemp() to open temporary files - this makes it vulnerable to symlink attacks.

The ispell program uses mktemp() to open temporary files - this makes it vulnerable to symlink attacks. This version now uses mkstemp(), and also switches from gets() to fgets() in two locations dealing with user input. The patches for ispell are from OpenBSD.

Solution(s)

  • redhat-upgrade-ispell
  • redhat-upgrade-ispell-catalan
  • redhat-upgrade-ispell-czech
  • redhat-upgrade-ispell-danish
  • redhat-upgrade-ispell-dicts
  • redhat-upgrade-ispell-dutch
  • redhat-upgrade-ispell-esperanto
  • redhat-upgrade-ispell-french
  • redhat-upgrade-ispell-german
  • redhat-upgrade-ispell-greek
  • redhat-upgrade-ispell-italian
  • redhat-upgrade-ispell-norwegian
  • redhat-upgrade-ispell-polish
  • redhat-upgrade-ispell-portuguese
  • redhat-upgrade-ispell-russian
  • redhat-upgrade-ispell-spanish
  • redhat-upgrade-ispell-swedish

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;